Get chat historyAsk AIget https://amojo.kommo.com/v2/origin/custom/{scope_id}/chats/{conversation_id}/historyThe method allows you to get a list of messages in a specific chat.Path Paramsscope_idstringrequiredScope ID, it is specific to your integrationconversation_idstringrequiredconversation_id can be obtained either when creating a chat via the chat creation method, or from the message webhook.Query Paramsoffsetint32Offset of the message selection (how many records from the beginning of the selection we skip)limitint32Number of returned entities per query (Maximum – 50)HeadersDatestringrequiredDate and time when the request was generated. The signature will be valid for 15 minutes from this Date. The date should be in the format “Thu, 01 Jan 2023 12:00:00 +0000” (RFC2822)Content-typestringrequiredDefaults to application/jsonRequest data type. Currently, only application/json is supported.Content-MD5stringFor the request body, it is necessary to calculate the MD5 hash and indicate it in the header in lowercase. At the same time, it is important to keep in mind that the request body is calculated as a stream of bytes without considering the end of JSON markup, and if there are “\n” or spaces at the end, they will also be taken into account. For GET requests, MD5 must also be calculated. Even if nothing is passed in the request body, MD5 will be obtained from an empty string.X-SignaturestringSignature of the request as a string. It is formed from the name of the method (GET/POST) in uppercase, with the values of the headers concatenated by “\n”. Header values come in a specific order. If there is no header, an empty string is specified instead. Next, add the requested path from the URL without the protocol and domain (without GET parameters) to the line. The resulting string is calculated using HMAC-SHA1, and as a secret, we use the channel secret obtained during registration. The resulting hash in lowercase is indicated in the X-Signature header.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/plainAllowed:application/jsontext/plainResponses 200200 204204 400400 403403Updated 6 months ago What’s NextWhen developing chat integrations you will need to update the delivery status of a message.